#ifndef _CRYPTSETUP_H_
#define _CRYPTSETUP_H_

#include "buffer.h"

TPM_BOOL cryptsetup_format (const char *device, Buffer key);

TPM_BOOL cryptsetup_add_key (const char *device, Buffer old_key, Buffer new_key);

TPM_BOOL cryptsetup_change_key (const char *device, Buffer old_key, Buffer new_key);

#endif /* _CRYPTSETUP_H_ */
