#ifndef _TPM_H_
#define _TPM_H_

#include <trousers/tss.h>

#include "buffer.h"

TPM_BOOL tpm_create_nvram (UINT32 index, Buffer password, UINT32 length);

TPM_BOOL tpm_read_nvram (UINT32 index, Buffer password, UINT32 length, Buffer *result);

TPM_BOOL tpm_write_nvram (UINT32 index, Buffer password, Buffer value);

#endif /* _TPM_H_ */
