#ifndef _BUFFER_H_
#define _BUFFER_H_

#include <trousers/tss.h>

typedef struct
{
    BYTE *data;
    size_t length;
} Buffer;

void buffer_init (size_t length, Buffer *buffer);

void buffer_init_random (size_t length, Buffer *buffer);

void buffer_init_string (const char *value, Buffer *buffer);

void buffer_print (const char *name, Buffer buffer);

TPM_BOOL buffer_matches (Buffer a, Buffer b);

void buffer_free (Buffer buffer);

#endif /* _BUFFER_H_ */
